﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Input;
using Xamarin.Forms;

namespace DataGridCommand.Portable
{
    public class ViewModel
    {
        public ViewModel()
        {
            var source = new ObservableCollection<CustomData>();

            source.Add(new CustomData("England", "London", new DateTime(2007,12,12)));
            source.Add(new CustomData("France", "Paris", new DateTime(2018, 02, 12)));

            this.ButtonCommand = new Command(OnButtonCommandExecuted);
            this.DeleteCommand = new Command(OnDeleteCommandExecuted);
            this.Source = source;
        }

        public ObservableCollection<CustomData> Source { get; set; }
        public ICommand ButtonCommand { get; private set; }
        public ICommand DeleteCommand { get; private set; }

        private void OnButtonCommandExecuted(object obj)
        {
        }

        private void OnDeleteCommandExecuted(object obj)
        {

        }
    }
}
